/*
 *  This is a very, very simple example of how to use the callback
 *  functionality.  It doesn't do anything interesting, it just echoes
 *  whatever you typed.  But it isn't supposed to do anything
 *  interesting, it's just an example! 
 */

#include "conf.h"
#include "sysdep.h"

#include "structs.h"
#include "utils.h"

#include "comm.h"
#include "interpreter.h"


C_FUNC(test_func);
C_FUNC(test_func_chain);


C_FUNC(test_func) {
	write_to_output(d, "You typed '%s'!\r\n", arg);

	/* This is how you CHAIN functions together */
	line_input(d, "Type something else: ", test_func_chain, strdup(arg));
}


C_FUNC(test_func_chain) {
	write_to_output(d, "You typed '%s' and then '%s'... Cool.\r\n", 
						 (char *)info, arg);

	/* We str_dup()'d this pointer, so we must FREE it */

	if (info)
		free(info); 
}


ACMD(do_callback)
{
	line_input(ch->desc, "Test Function : Type something : ", test_func, NULL);
}
